package com.e6yun.project.sdk.api.pojo.basevo.cold;

import com.google.common.base.MoreObjects;

import java.util.List;

/**
 * @Description TODO
 * @Author xxx@e6yun.com
 * @Created Date: 2021/7/6 11:39
 * @ClassName StoreTempHumVO
 * @Remark
 */
public class StoreTempHumVO<ApiFreezerTempHumVO> {

    /**
     * 仓库名称
     */
    private String storeName;
    /**
     * 仓库编码
     */
    private String storeCode;
    /**
     * 仓库下的区位列表
     */
    private List<ApiFreezerTempHumVO> freezerList;

    public StoreTempHumVO() {
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public List<ApiFreezerTempHumVO> getFreezerList() {
        return freezerList;
    }

    public void setFreezerList(List<ApiFreezerTempHumVO> freezerList) {
        this.freezerList = freezerList;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("storeName", storeName)
                .add("storeCode", storeCode)
                .add("freezerList", freezerList)
                .toString();
    }
}
